org.jboss.resteasy.util

## Class HttpServletRequestDelegate

- java.lang.Object
- - org.jboss.resteasy.util.HttpServletRequestDelegate

- All Implemented Interfaces:
    javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest
  Direct Known Subclasses:
    PatchedHttpServletRequest

      public class HttpServletRequestDelegate
      extends Object
      implements javax.servlet.http.HttpServletRequest

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.servlet.http.HttpServletRequest` | `delegate`

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServletRequestDelegate(javax.servlet.http.HttpServletRequest delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAttribute(String s)`
    `Enumeration` | `getAttributeNames()`
    `String` | `getAuthType()`
    `String` | `getCharacterEncoding()`
    `int` | `getContentLength()`
    `String` | `getContentType()`
    `String` | `getContextPath()`
    `javax.servlet.http.Cookie[]` | `getCookies()`
    `long` | `getDateHeader(String s)`
    `String` | `getHeader(String s)`
    `Enumeration` | `getHeaderNames()`
    `Enumeration` | `getHeaders(String s)`
    `javax.servlet.ServletInputStream` | `getInputStream()`
    `int` | `getIntHeader(String s)`
    `String` | `getLocalAddr()`
    `Locale` | `getLocale()`
    `Enumeration` | `getLocales()`
    `String` | `getLocalName()`
    `int` | `getLocalPort()`
    `String` | `getMethod()`
    `String` | `getParameter(String s)`
    `Map` | `getParameterMap()`
    `Enumeration` | `getParameterNames()`
    `String[]` | `getParameterValues(String s)`
    `String` | `getPathInfo()`
    `String` | `getPathTranslated()`
    `String` | `getProtocol()`
    `String` | `getQueryString()`
    `BufferedReader` | `getReader()`
    `String` | `getRealPath(String s)`
    `String` | `getRemoteAddr()`
    `String` | `getRemoteHost()`
    `int` | `getRemotePort()`
    `String` | `getRemoteUser()`
    `javax.servlet.RequestDispatcher` | `getRequestDispatcher(String s)`
    `String` | `getRequestedSessionId()`
    `String` | `getRequestURI()`
    `StringBuffer` | `getRequestURL()`
    `String` | `getScheme()`
    `String` | `getServerName()`
    `int` | `getServerPort()`
    `String` | `getServletPath()`
    `javax.servlet.http.HttpSession` | `getSession()`
    `javax.servlet.http.HttpSession` | `getSession(boolean b)`
    `Principal` | `getUserPrincipal()`
    `boolean` | `isRequestedSessionIdFromCookie()`
    `boolean` | `isRequestedSessionIdFromUrl()`
    `boolean` | `isRequestedSessionIdFromURL()`
    `boolean` | `isRequestedSessionIdValid()`
    `boolean` | `isSecure()`
    `boolean` | `isUserInRole(String s)`
    `void` | `removeAttribute(String s)`
    `void` | `setAttribute(String s, Object o)`
    `void` | `setCharacterEncoding(String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.http.HttpServletRequest

      `authenticate, changeSessionId, getPart, getParts, login, logout, upgrade`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAsyncContext, getContentLengthLong, getDispatcherType, getServletContext, isAsyncStarted, isAsyncSupported, startAsync, startAsync`

- - ### Field Detail

    - #### delegate

          protected javax.servlet.http.HttpServletRequest delegate

  - ### Constructor Detail

    - #### HttpServletRequestDelegate

          public HttpServletRequestDelegate(javax.servlet.http.HttpServletRequest delegate)

  - ### Method Detail

    - #### isUserInRole

          public boolean isUserInRole(String s)

      Specified by:
        `isUserInRole` in interface `javax.servlet.http.HttpServletRequest`

    - #### getUserPrincipal

          public Principal getUserPrincipal()

      Specified by:
        `getUserPrincipal` in interface `javax.servlet.http.HttpServletRequest`

    - #### getAuthType

          public String getAuthType()

      Specified by:
        `getAuthType` in interface `javax.servlet.http.HttpServletRequest`

    - #### getLocalPort

          public int getLocalPort()

      Specified by:
        `getLocalPort` in interface `javax.servlet.ServletRequest`

    - #### getCookies

          public javax.servlet.http.Cookie[] getCookies()

      Specified by:
        `getCookies` in interface `javax.servlet.http.HttpServletRequest`

    - #### getDateHeader

          public long getDateHeader(String s)

      Specified by:
        `getDateHeader` in interface `javax.servlet.http.HttpServletRequest`

    - #### getHeader

          public String getHeader(String s)

      Specified by:
        `getHeader` in interface `javax.servlet.http.HttpServletRequest`

    - #### getHeaders

          public Enumeration getHeaders(String s)

      Specified by:
        `getHeaders` in interface `javax.servlet.http.HttpServletRequest`

    - #### getHeaderNames

          public Enumeration getHeaderNames()

      Specified by:
        `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`

    - #### getIntHeader

          public int getIntHeader(String s)

      Specified by:
        `getIntHeader` in interface `javax.servlet.http.HttpServletRequest`

    - #### getMethod

          public String getMethod()

      Specified by:
        `getMethod` in interface `javax.servlet.http.HttpServletRequest`

    - #### getPathInfo

          public String getPathInfo()

      Specified by:
        `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`

    - #### getPathTranslated

          public String getPathTranslated()

      Specified by:
        `getPathTranslated` in interface `javax.servlet.http.HttpServletRequest`

    - #### getContextPath

          public String getContextPath()

      Specified by:
        `getContextPath` in interface `javax.servlet.http.HttpServletRequest`

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRemoteUser

          public String getRemoteUser()

      Specified by:
        `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRequestedSessionId

          public String getRequestedSessionId()

      Specified by:
        `getRequestedSessionId` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRequestURI

          public String getRequestURI()

      Specified by:
        `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`

    - #### getRequestURL

          public StringBuffer getRequestURL()

      Specified by:
        `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`

    - #### getServletPath

          public String getServletPath()

      Specified by:
        `getServletPath` in interface `javax.servlet.http.HttpServletRequest`

    - #### getSession

          public javax.servlet.http.HttpSession getSession(boolean b)

      Specified by:
        `getSession` in interface `javax.servlet.http.HttpServletRequest`

    - #### getSession

          public javax.servlet.http.HttpSession getSession()

      Specified by:
        `getSession` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdValid

          public boolean isRequestedSessionIdValid()

      Specified by:
        `isRequestedSessionIdValid` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdFromCookie

          public boolean isRequestedSessionIdFromCookie()

      Specified by:
        `isRequestedSessionIdFromCookie` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdFromURL

          public boolean isRequestedSessionIdFromURL()

      Specified by:
        `isRequestedSessionIdFromURL` in interface `javax.servlet.http.HttpServletRequest`

    - #### isRequestedSessionIdFromUrl

          public boolean isRequestedSessionIdFromUrl()

      Specified by:
        `isRequestedSessionIdFromUrl` in interface `javax.servlet.http.HttpServletRequest`

    - #### getAttribute

          public Object getAttribute(String s)

      Specified by:
        `getAttribute` in interface `javax.servlet.ServletRequest`

    - #### getAttributeNames

          public Enumeration getAttributeNames()

      Specified by:
        `getAttributeNames` in interface `javax.servlet.ServletRequest`

    - #### getCharacterEncoding

          public String getCharacterEncoding()

      Specified by:
        `getCharacterEncoding` in interface `javax.servlet.ServletRequest`

    - #### setCharacterEncoding

          public void setCharacterEncoding(String s)
                                    throws UnsupportedEncodingException

      Specified by:
        `setCharacterEncoding` in interface `javax.servlet.ServletRequest`
      Throws:
        `UnsupportedEncodingException`

    - #### getContentLength

          public int getContentLength()

      Specified by:
        `getContentLength` in interface `javax.servlet.ServletRequest`

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `javax.servlet.ServletRequest`

    - #### getInputStream

          public javax.servlet.ServletInputStream getInputStream()
                                                          throws IOException

      Specified by:
        `getInputStream` in interface `javax.servlet.ServletRequest`
      Throws:
        `IOException`

    - #### getParameter

          public String getParameter(String s)

      Specified by:
        `getParameter` in interface `javax.servlet.ServletRequest`

    - #### getParameterNames

          public Enumeration getParameterNames()

      Specified by:
        `getParameterNames` in interface `javax.servlet.ServletRequest`

    - #### getParameterValues

          public String[] getParameterValues(String s)

      Specified by:
        `getParameterValues` in interface `javax.servlet.ServletRequest`

    - #### getParameterMap

          public Map getParameterMap()

      Specified by:
        `getParameterMap` in interface `javax.servlet.ServletRequest`

    - #### getProtocol

          public String getProtocol()

      Specified by:
        `getProtocol` in interface `javax.servlet.ServletRequest`

    - #### getScheme

          public String getScheme()

      Specified by:
        `getScheme` in interface `javax.servlet.ServletRequest`

    - #### getServerName

          public String getServerName()

      Specified by:
        `getServerName` in interface `javax.servlet.ServletRequest`

    - #### getServerPort

          public int getServerPort()

      Specified by:
        `getServerPort` in interface `javax.servlet.ServletRequest`

    - #### getReader

          public BufferedReader getReader()
                                   throws IOException

      Specified by:
        `getReader` in interface `javax.servlet.ServletRequest`
      Throws:
        `IOException`

    - #### getRemoteAddr

          public String getRemoteAddr()

      Specified by:
        `getRemoteAddr` in interface `javax.servlet.ServletRequest`

    - #### getRemoteHost

          public String getRemoteHost()

      Specified by:
        `getRemoteHost` in interface `javax.servlet.ServletRequest`

    - #### setAttribute

          public void setAttribute(String s,
                          Object o)

      Specified by:
        `setAttribute` in interface `javax.servlet.ServletRequest`

    - #### removeAttribute

          public void removeAttribute(String s)

      Specified by:
        `removeAttribute` in interface `javax.servlet.ServletRequest`

    - #### getLocale

          public Locale getLocale()

      Specified by:
        `getLocale` in interface `javax.servlet.ServletRequest`

    - #### getLocales

          public Enumeration getLocales()

      Specified by:
        `getLocales` in interface `javax.servlet.ServletRequest`

    - #### isSecure

          public boolean isSecure()

      Specified by:
        `isSecure` in interface `javax.servlet.ServletRequest`

    - #### getRequestDispatcher

          public javax.servlet.RequestDispatcher getRequestDispatcher(String s)

      Specified by:
        `getRequestDispatcher` in interface `javax.servlet.ServletRequest`

    - #### getRealPath

          public String getRealPath(String s)

      Specified by:
        `getRealPath` in interface `javax.servlet.ServletRequest`

    - #### getRemotePort

          public int getRemotePort()

      Specified by:
        `getRemotePort` in interface `javax.servlet.ServletRequest`

    - #### getLocalName

          public String getLocalName()

      Specified by:
        `getLocalName` in interface `javax.servlet.ServletRequest`

    - #### getLocalAddr

          public String getLocalAddr()

      Specified by:
        `getLocalAddr` in interface `javax.servlet.ServletRequest`

Copyright © 2014. All Rights Reserved.